@import url("https://fonts.googleapis.com/css?family=Muli&display=swap");

* {
  box-sizing: border-box;
  padding: 0;
}

body {
  font-family: "Muli", sans-serif;
  margin: 0;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

nav {
  background-color: #fff;
  padding: 20px;
  width: 70px;

  display: flex;
  align-items: center;
  justify-content: space-evenly;
  border-radius: 3px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
  transition: width 0.6s linear;
  margin: auto;
  overflow-x: hidden;
}

nav.active {
  width: 375px;
}

nav ul {
  display: flex;

  list-style-type: none;
  padding: 0;
  margin: 0;
  width: 0;
  transition: width 0.6s linear;
}

nav.active ul {
  width: 100%;
}

nav ul li {
  margin: 4px;
  transform: rotateY(0deg);
  opacity: 0;
  transition: transform 0.6s linear, opacity 0.6s linear;
}

nav.active ul li {
  opacity: 1;
  transform: rotateY(360deg);
}

nav ul a {
  position: relative;
  color: #000;
  text-decoration: none;
  margin: 0 10px;
}

.icon {
  background-color: #fff;
  border: 0;
  cursor: pointer;
  padding: 0;
  position: relative;
  height: 30px;
  width: 30px;
}

.icon:focus {
  outline: 0;
}

.icon .line {
  background-color: #5290f9;
  height: 2px;
  width: 20px;
  position: absolute;
  top: 10px;
  left: 5px;
  transition: transform 0.6s linear;
}

.icon .line2 {
  top: auto;
  bottom: 10px;
}

nav.active .icon .line1 {
  transform: rotate(-765deg) translateY(5.5px);
}

nav.active .icon .line2 {
  transform: rotate(765deg) translateY(-5.5px);
}

footer {
  width: 100vw;
  height: auto;
  /* position: absolute;
  bottom: 0; */
  background-color: rgba(0, 0, 0, 0.651);
  color: rgba(255, 255, 255, 0.952);
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  text-align: center;
  justify-content: space-evenly;
  align-items: center;
}

@media only screen and (max-width: 460px) {
  nav.active {
    width: 100vw;
  }

  nav.active ul {
    flex-wrap: wrap;
  }
}
